/**********************************************************************
 * StderrToOut.c
 *
 * written by Julian Robichaux, http://www.nsftools.com
 * please see the StderrToOut.h header file for more information
 **********************************************************************/

/* make sure these are included in the main file */
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

#include "StderrToOut.h"

void OutToErr (void)
{
	/* swap the output of stderr and stdout */
	int olderr, oldout;
	int errfilenum, outfilenum;
	errfilenum = _fileno(stderr);
	outfilenum = _fileno(stdout);

	flushall();
	olderr = _dup( errfilenum );
	oldout = _dup( outfilenum );
	_dup2( oldout, errfilenum );
	_dup2( olderr, outfilenum );

	_close( oldout );
	_close( olderr );
}


void printerr (const char * format, ...)
{
	/* print the passed message to stderr */
	va_list arglist;

	va_start( arglist, format );
	vfprintf( stderr, format, arglist );
	va_end( arglist );
}

